For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • v2 Migration
    • Webflow v1 API Deprecation Notice
    • Migrating to v2
  • Meta
    • GETAuthorized User
    • GETAuthorized Info
  • Sites
  • CMS
      • GETList Collection Items
      • POSTCreate Collection Item
      • DELRemove Collection Items
      • PUTPublish Collection Items
      • GETGet Collection Item
      • PUTUpdate Collection Item
      • DELRemove Collection Item
      • PATCHPatch Collection Item
      • POSTItem Created
      • POSTItem Updated
      • POSTItem Deleted
      • POSTItem Unpublished
  • Ecommerce
LogoLogo
Resources
Get started
CMSItems

Publish Collection Items

PUT
https://api.webflow.com/collections/:collection_id/items/publish
PUT
/collections/:collection_id/items/publish
$curl -X PUT https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745/items/publish \
> -H "Accept-Version: 1.0.0" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "publishedItemIds": [
3 "62aa37923cf7a9de1ca4469c",
4 "62aa37923cf7a9de1ca44697",
5 "62aa37923cf7a9de1ca44696"
6 ],
7 "errors": []
8}
Publish items in a Collection.
Was this page helpful?
Previous

Get Collection Item

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "uuid"
Unique identifier for a Collection

Headers

Accept-VersionstringOptional
The API version

Request

The collection item ids to publish
itemIdslist of stringsOptional
Array of item ids to publish

Response

Request was successful
publishedItemIdslist of strings
Array of published item ids
errorslist of strings
Array of errors

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error